Bug 1846113 - did_you_mean gem in ruby 2.5 stream contains a file with non-commercial license
Summary: did_you_mean gem in ruby 2.5 stream contains a file with non-commercial license
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ruby
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Pavel Valena
QA Contact: Dita Stehlikova
Lenka Špačková
URL:
Whiteboard:
Depends On:
Blocks: 1848915
TreeView+ depends on / blocked
 
Reported: 2020-06-10 19:33 UTC by Satoe Imaishi
Modified: 2020-11-05 19:57 UTC (History)
6 users (show)

Fixed In Version: ruby-2.5-8030020200624105530.30b713e6
Doc Type: Bug Fix
Doc Text:
.The `did_you_mean` Ruby gem no longer contains a file with a non-commercial license Previously, the `did_you_mean` gem available in the `ruby:2.5` module stream contained a file with a non-commercial license. This update removes the affected file.
Clone Of:
: 1848915 (view as bug list)
Environment:
Last Closed: 2020-11-04 04:10:13 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4824 0 None None None 2020-11-04 04:10:15 UTC

Description Satoe Imaishi 2020-06-10 19:33:24 UTC
Description of problem:

The version of did_you_mean gem included in ruby 2.5 stream contains a file with non-commercial license:

/usr/share/gems/gems/did_you_mean-1.2.0/evaluation/incorrect_words.yaml


Version-Release number of selected component (if applicable):

rubygem-did_you_mean-1.2.0-105.module+el8.1.0+3656+f80bfa1d.noarch


Additional info:

The file was removed in 1.2.1 and 1.3.0
https://github.com/ruby/did_you_mean/issues/105

Comment 16 errata-xmlrpc 2020-11-04 04:10:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (ruby:2.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4824


Note You need to log in before you can comment on or make changes to this bug.